Skip to navigation

Get Grader Test

View as Markdown
Read a pending, completed or failed unsaved test. Reports expire after one day.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

test_idstringRequired
project_idstringRequired
agent_idstringRequired

Response

Successful Response
ceilingdouble or null
conclusiveinteger
conversationsinteger
flagRatedouble or null
flaggedinteger
resultslist of objects
Flagged first.
statusenum

A pending test is still scoring; poll runId. A failed test is final: test again to start a new run.

Allowed values:
wouldBlockboolean
The flag rate is above the ceiling.
errorstring or nullOptional
Why a failed test could not finish.
runIdstring or nullOptional

Errors

401
Unauthorized Error
402
Payment Required Error
403
Forbidden Error
404
Not Found Error
409
Conflict Error
422
Unprocessable Entity Error
503
Service Unavailable Error